<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yida.data.device.consume.mapper.EduConsumeRecordMapper">
	
	<!-- 前端查询学生消费记录列表 -->
	<select id="listH5ConsumeRecordPage"
			resultType="com.yida.data.device.vo.consume.H5ConsumeRecordPageVO">
		SELECT
			*
		FROM
			edu_consume_record
		WHERE
			student_id = #{dto.studentId}
		  AND school_id = #{dto.deptId}
		ORDER BY
			create_date DESC
	</select>
	
</mapper>
